=== debian/changelog ===
golang-github-vbatts-go-mtree (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #901839).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Jun 2018 01:19:01 +1000
