=== debian/control ===
Source: golang-github-vbatts-go-mtree
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0.2~)
Standards-Version: 4.1.4
Homepage: https://github.com/vbatts/go-mtree
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
XS-Go-Import-Path: github.com/vbatts/go-mtree
Testsuite: autopkgtest-pkg-go

Package: golang-github-vbatts-go-mtree-dev
Architecture: all
Depends: ${misc:Depends},
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0.2~)
Description: file systems verification library, in likeness of mtree(8)
 mtree is a filesystem hierarchy validation tooling and format.
