## golang-github-vbatts-go-mtree 0.4.4

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,11 @@
 CLEAN_FILES += .lint
 
 .lint: $(SOURCE_FILES)
-	set -e ; for dir in $$(glide novendor) ; do golint -set_exit_status $$dir ; done && touch $@
+	if [[ "$(go version |awk '{ print $3 }')" =~ ^go1\.11\. ]] ; then \
+	set -e ; for dir in $$(glide novendor) ; do golint -set_exit_status $$dir ; done && touch $@ \
+	else \
+	touch $@ ; \
+	fi
 
 .PHONY: vet
 vet: .vet .vet.tags
@@ -62,6 +66,10 @@
 $(BUILD): $(SOURCE_FILES)
 	go build -o $(BUILD) $(BUILDPATH)
 
+install.tools:
+	go get -u -v github.com/Masterminds/glide
+	if [[ "$(go version |awk '{ print $3 }')" =~ ^go1\.11\. ]] ; then go get -u golang.org/x/lint/golint ; fi
+
 ./bin:
 	mkdir -p $@
