=== debian/changelog ===
golang-github-vbatts-go-mtree (0.4.4-2) unstable; urgency=medium

  * (Build-)Depends += "golang-github-davecgh-go-spew-dev" (Closes: #955682).
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 Apr 2020 10:12:48 +1000

golang-github-vbatts-go-mtree (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 21 Oct 2019 00:03:10 +1100
