=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := test testdata cmd
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- --no-binaries
