=== debian/changelog ===
golang-github-vbatts-go-mtree (0.5.4+ds-1) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 20:56:58 +0000

golang-github-vbatts-go-mtree (0.5.4+ds-1~exp1) experimental; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Apply hints suggested by the multi-arch hinter

  [ Dmitry Smirnov ]
  * Rules-Requires-Root: no

  [ Mathias Gibbens ]
  * New upstream release
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Go Team's email address
    - Bump debhelper-compat to 13
  * Update list of excluded files in d/copyright
  * Update d/rules
  * Remove d/golang-github-vbatts-go-mtree-dev.install
  * Update d/watch

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 03 Jun 2025 00:26:34 +0000
