=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: golang-github-vbatts-go-mtree
-Section: devel
+Section: golang
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.2
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
@@ -16,6 +16,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
 XS-Go-Import-Path: github.com/vbatts/go-mtree
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-vbatts-go-mtree-dev
 Architecture: all
@@ -24,5 +25,6 @@
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-golang-x-crypto-dev,
          golang-golang-x-sys-dev,
+Multi-Arch: foreign
 Description: file systems verification library, in likeness of mtree(8)
  mtree is a filesystem hierarchy validation tooling and format.
