=== debian/watch ===
version=4
opts="filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
  repacksuffix=+ds,dversionmangle=auto" \
  https://github.com/vbatts/go-mtree/tags .*/v?(\d\S*)\.tar\.gz
