## golang-github-vbatts-go-mtree 0.6.0+ds

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.6.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop redundant Rules-Requires-Root in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 10 Nov 2025 23:10:36 +0000
