=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
 XS-Go-Import-Path: github.com/vbatts/go-mtree
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: golang-github-vbatts-go-mtree-dev
 Architecture: all
