=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := test testdata cmd
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
