## golang-github-vbatts-go-mtree 0.7.0+ds

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.7.0+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase d/p/test--skip-TestXattr.patch
  * d/control:
    - Add myself as an Uploader
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends and Depends
  * Add myself to d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Feb 2026 19:02:40 +0000
