=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: golang-github-vbatts-go-mtree
 Section: golang
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
+           Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+               golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sys-dev,
 Homepage: https://github.com/vbatts/go-mtree
@@ -22,6 +23,7 @@
 Depends: ${misc:Depends},
          golang-github-davecgh-go-spew-dev,
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+         golang-github-stretchr-testify-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-sys-dev,
 Multi-Arch: foreign
